package lupenko.airport.service;

import lupenko.airport.web.dto.AircraftDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Optional;

public interface AircraftService {
    Page<AircraftDto> getAllAircraft(final Pageable pageable);

    AircraftDto createAircraft(AircraftDto aircraft);

    void deleteAircraft(Long id);

    Optional<AircraftDto> getAircraft(Long id);

    Optional<AircraftDto> updateAircraft(Long id, AircraftDto aircraft);
}
