package lupenko.airport.service;

import lupenko.airport.web.dto.AirportDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Optional;

public interface AirportService {

    Page<AirportDto> getAirports(final Pageable pageable);

    AirportDto createAirport(AirportDto airport);

    void deleteAirport(Long id);

    Optional<AirportDto> getAirport(Long id);

    Optional<AirportDto> updateAirport(Long id, AirportDto airport);
}
