package lupenko.airport.service;

import lupenko.airport.web.dto.BookingDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.time.Instant;
import java.util.Optional;

public interface BookingService {
    Page<BookingDto> getBookings(Pageable pageable);

    BookingDto createBooking(BookingDto dto);

    void deleteBooking(Long id);

    Optional<BookingDto> getBooking(Long id);


    Optional<BookingDto> setCheckoutTime(Long id, Instant checkoutTime);
}
