package lupenko.airport.service;

import lupenko.airport.web.dto.FlightDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Optional;

public interface FlightService {
    Page<FlightDto> getFlights(Pageable pageable);

    FlightDto createFlight(FlightDto dto);

    void deleteFlight(Long id);

    Optional<FlightDto> getFlight(Long id);

    Optional<FlightDto> updateFlight(Long id, FlightDto dto);
}
