package lupenko.airport.service;

import lupenko.airport.web.dto.PassengerDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Optional;

public interface PassengerService {
    Page<PassengerDto> getPassengers(Pageable pageable);

    PassengerDto createPassenger(PassengerDto passenger);

    void deletePassenger(Long id);

    Optional<PassengerDto> getPassenger(Long id);

    Optional<PassengerDto> updatePassenger(Long id, PassengerDto passenger);
}
