package lupenko.airport.service.map;

import lupenko.airport.domain.Aircraft;
import lupenko.airport.web.dto.AircraftDto;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;

@Mapper(componentModel = "spring")
public abstract class AircraftMapper {
    @Mapping(target = "id", ignore = true)
    public abstract Aircraft dtoToEntity(AircraftDto dto);

    public abstract AircraftDto toDto(Aircraft entity);

    @Mapping(target = "id", ignore = true)
    public abstract void copyParametersFromDto(AircraftDto dto, @MappingTarget Aircraft entity);

}
