package lupenko.airport.service.map;

import lupenko.airport.domain.Airport;
import lupenko.airport.web.dto.AirportDto;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;

@Mapper(componentModel = "spring")
public abstract class AirportMapper {

    @Mapping(target = "id", ignore = true)
    public abstract Airport dtoToEntity(AirportDto dto);

    public abstract AirportDto toDto(Airport entity);

    @Mapping(target = "id", ignore = true)
    public abstract void copyParametersFromDto(AirportDto dto, @MappingTarget Airport entity);

}
