package lupenko.airport.exception;

public class AircraftCapacityException extends RuntimeException {

    private long capacity;
    private long aircraftId;

    public AircraftCapacityException(final long capacity, final long aircraftId) {
        this.capacity = capacity;
        this.aircraftId = aircraftId;
    }

    @Override
    public String getMessage() {
        return "Aircraft{" + aircraftId + "} max capacity reached: " + capacity + "";
    }


}
