package lupenko.airport.service.map;

import lupenko.airport.domain.Passenger;
import lupenko.airport.web.dto.PassengerDto;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;

@Mapper(componentModel = "spring")
public abstract class PassengerMapper {

    @Mapping(target = "id", ignore = true)
    public abstract Passenger dtoToEntity(PassengerDto dto);

    public abstract PassengerDto toDto(Passenger entity);

    @Mapping(target = "id", ignore = true)
    public abstract void copyParametersFromDto(PassengerDto dto, @MappingTarget Passenger entity);

}
