package lupenko.airport.web.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class AirportDto {
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;
    private String code;
    private String countryCode;
    private BigDecimal ddLongitude;
    private BigDecimal ddLatitude;
}
