package lupenko.airport.web.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;

import java.time.LocalDate;

@Data
@NoArgsConstructor
@RequiredArgsConstructor
@AllArgsConstructor
@ToString
public class PassengerDto {

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;
    @NonNull
    private String firstName;
    @NonNull
    private String lastName;
    @NonNull
    private String address;
    @NonNull
    private LocalDate birthDate;
    @NonNull
    private String passport;
}
